import { PropertyTypeCategory, ListModalListItem, RentMonth, PropertyAge, ListingCategory } from '../../app/models/shared/general';

export const propertyTypeCategories: Array<PropertyTypeCategory> = [
    { sid: '1', 'name': 'Residential' },
    { sid: '2', 'name': 'Commercial' }
    //{ sid: '3', 'name': 'Land' }
];

export const propertyTypeList: Array<ListModalListItem> = [
    { id: '138', 'nameEn': 'Villa', 'nameAr': 'فيلا', 'category_sid': '1', 'secondaryProperties': [10, 1, 3, 2, 9] },
    { id: '139', 'nameEn': 'Apartment', 'nameAr': 'شقة', 'category_sid': '1', 'secondaryProperties': [2, 11, 3, 0, 10] },
    { id: '140', 'nameEn': 'Independent Floor', 'nameAr': 'دور مستقل', 'category_sid': '1', 'secondaryProperties': [1, 0, 10, 3] },
    { id: '141', 'nameEn': 'Traditional House', 'nameAr': 'بيت شعبي', 'category_sid': '1', 'secondaryProperties': [0, 10, 2, 1, 9] },
    { id: '142', 'nameEn': 'Building', 'nameAr': 'عمارة', 'category_sid': '1', 'secondaryProperties': [17] },
    { id: '144', 'nameEn': 'Chalet', 'nameAr': 'إستراحة', 'category_sid': '2', 'secondaryProperties': [15, 16] },
    { id: '143', 'nameEn': 'Office', 'nameAr': 'مكتب', 'category_sid': '2', 'secondaryProperties': [12, 13] },
    { id: '149', 'nameEn': 'Land', 'nameAr': 'أرض', 'category_sid': '3', 'secondaryProperties': [8, 14] },
    { id: '165', 'nameEn': 'Raw Land', 'nameAr': 'أرض خام', 'category_sid': '3', 'secondaryProperties': [7, 14] },
    { id: '156', 'nameEn': 'Palace', 'nameAr': 'قصر', 'category_sid': '1', 'secondaryProperties': [10, 0] },
    { id: '163', 'nameEn': 'Duplex', 'nameAr': 'دوبلكس', 'category_sid': '1', 'secondaryProperties': [0, 2, 1, 3, 9] },
    { id: '459', 'nameEn': 'Single Room', 'nameAr': 'غرفة', 'category_sid': '1', 'secondaryProperties': [1] },
    { id: '150', 'nameEn': 'Store', 'nameAr': 'محل تجاري', 'category_sid': '2', 'secondaryProperties': [13] },
    { id: '151', 'nameEn': 'Warehouse', 'nameAr': 'مستودع', 'category_sid': '2', 'secondaryProperties': [12] },
    { id: '152', 'nameEn': 'Farm', 'nameAr': 'مزرعة', 'category_sid': '2', 'secondaryProperties': [7, 8] },
    { id: '863', 'nameEn': 'Holiday Villa', 'nameAr': 'شاليه', 'category_sid': '1', 'secondaryProperties': [5, 15] },
    { id: '864', 'nameEn': 'Banquet Hall', 'nameAr': 'قاعة مناسبات', 'category_sid': '2', 'secondaryProperties': [5, 16] },
    { id: '869', 'nameEn': 'Compound', 'nameAr': 'مجمع سكني', 'category_sid': '1', 'secondaryProperties': [4] }
];

export const rentAmountPerList: Array<ListModalListItem> = [
    { id: '126', 'nameEn': 'Per Year', 'nameAr': 'في السنة', 'category_sid': '', 'secondaryProperties': [] },
    { id: '127', 'nameEn': 'Per Quarter', 'nameAr': 'في ثلاثة شهور', 'category_sid': '', 'secondaryProperties': [] },
    { id: '128', 'nameEn': 'Per Month', 'nameAr': 'في الشهر', 'category_sid': '', 'secondaryProperties': [] },
    { id: '129', 'nameEn': 'Per Week', 'nameAr': 'في الأسبوع', 'category_sid': '', 'secondaryProperties': [] },
    { id: '130', 'nameEn': 'Per Night', 'nameAr': 'في الليلة', 'category_sid': '', 'secondaryProperties': [] }
];

export const listingCategoryList: Array<ListingCategory> = [
    { id: '153', 'nameEn': 'For Sale', 'nameAr': 'للبيع' },
    { id: '154', 'nameEn': 'For Rent', 'nameAr': 'للإيجار' }
];

export const rentMonthList: Array<RentMonth> = [
    { id: '460', 'nameEn': 'Hijri', 'nameAr': 'هجرية' },
    { id: '461', 'nameEn': 'Gregorian', 'nameAr': 'ميلادية' }
];

export const propertyFinalizingList: Array<ListModalListItem> = [
    { id: '865', 'nameEn': 'Not Finalized', 'nameAr': 'غير مشطبة', 'category_sid': '', 'secondaryProperties': [] },
    { id: '866', 'nameEn': 'Normal Finalizing', 'nameAr': 'تشطيب لوكس‬', 'category_sid': '', 'secondaryProperties': [] },
    { id: '867', 'nameEn': 'Super Finalizing', 'nameAr': 'تشطيب سوبر لوكس', 'category_sid': '', 'secondaryProperties': [] },
    { id: '868', 'nameEn': 'High Class Finalizing', 'nameAr': 'تشطيب هاي كلاس', 'category_sid': '', 'secondaryProperties': [] }
];

export const noOfStreetsList: Array<ListModalListItem> = [
    { id: '145', 'nameEn': '1', 'nameAr': '1', 'category_sid': '', 'secondaryProperties': [] },
    { id: '146', 'nameEn': '2', 'nameAr': '2', 'category_sid': '', 'secondaryProperties': [] },
    { id: '147', 'nameEn': '3', 'nameAr': '3', 'category_sid': '', 'secondaryProperties': [] },
    { id: '148', 'nameEn': '4', 'nameAr': '4', 'category_sid': '', 'secondaryProperties': [] }
];

export const featuresList: Array<ListModalListItem> = [
    { id: 'RoomForDriver', 'nameAr': 'غرفة سائق', 'nameEn': 'Room for Driver', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'RoomForMaid', 'nameAr': 'غرفة خادمة', 'nameEn': 'Room For Maid', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'SinglesFriendly', 'nameAr': 'سكن عزاب', 'nameEn': 'Singles Friendly', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Residential', 'nameAr': 'سكني', 'nameEn': 'Residential', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Commercial', 'nameAr': 'تجاري', 'nameEn': 'Commercial', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'WorkersResidence', 'nameAr': 'سكن عمال', 'nameEn': 'Workers Residence', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Furnished', 'nameAr': 'مفروشة', 'nameEn': 'Furnished', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'SwimmingPool', 'nameAr': 'مسبح', 'nameEn': 'Swimming Pool', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'FullKitchen', 'nameAr': 'مطبخ مجهز', 'nameEn': 'Full Kitchen', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Basement', 'nameAr': 'سرداب/قبو', 'nameEn': 'Basement', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Elevator', 'nameAr': 'مصعد', 'nameEn': 'Elevator', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Hall', 'nameAr': 'صالة', 'nameEn': 'Hall', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Garden', 'nameAr': 'حديقة', 'nameEn': 'Garden', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'StorageRoom', 'nameAr': 'مخزن', 'nameEn': 'Storage Room', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'AC', 'nameAr': 'تكييف', 'nameEn': 'AC', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'CentralAC', 'nameAr': 'تكييف مركزي', 'nameEn': 'Central AC', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Water', 'nameAr': 'ماء', 'nameEn': 'Water', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Gas', 'nameAr': 'غاز', 'nameEn': 'Gas', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Phone', 'nameAr': 'هاتف', 'nameEn': 'Phone', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Internet', 'nameAr': 'انترنت', 'nameEn': 'Internet', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Electricity', 'nameAr': 'كهرباء', 'nameEn': 'Electricity', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'ModernDesign', 'nameAr': 'ديكور حديث', 'nameEn': 'Modern Design', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'SecurityGaurds', 'nameAr': 'حارس أمن', 'nameEn': 'Security Gaurds', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'SecurityCameras', 'nameAr': 'كاميرات مراقبة', 'nameEn': 'Security Cameras', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'SecurityRoom', 'nameAr': 'غرفة حراسة', 'nameEn': 'Security Room', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'SpaHotTub', 'nameAr': 'جاكوزي', 'nameEn': 'Jacuzzi', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'DisabilityFeatures', 'nameAr': 'ميزات خاصة للمعاقين', 'nameEn': 'Disability Features', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'ExternalExtension', 'nameAr': 'ملحق خارجي', 'nameEn': 'External Extension', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Fireplace', 'nameAr': 'مدفأة', 'nameEn': 'Fireplace', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'CityView', 'nameAr': 'مطلة على المدينة', 'nameEn': 'City View', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'SeaView', 'nameAr': 'مطلة على البحر', 'nameEn': 'Sea View', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'Waterfront', 'nameAr': 'واجهة بحرية', 'nameEn': 'Waterfront', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'OpenSpaceStyle', 'nameAr': 'طراز مفتوح', 'nameEn': 'Open Space Style', 'category_sid': '', 'secondaryProperties': [] },
    { id: 'NewBuildNotUsed', 'nameAr': 'بناء جديد، لم يستخدم', 'nameEn': 'New Build, Not Used', 'category_sid': '', 'secondaryProperties': [] }
];

export const SocialNetworks = {
    'facebook': {
        'sa': 'https://www.facebook.com/Zaahib',
        'eg': 'https://www.facebook.com/Zaahib.Egypt',
        'ye': 'https://www.facebook.com/Zaahib.Yemen',
        'ae': 'https://www.facebook.com/Zaahib.Emirates',
        'qa': 'https://www.facebook.com/Zaahib.Qatar',
        'om': 'https://www.facebook.com/Zaahib.Oman',
        'kw': 'https://www.facebook.com/Zaahib.Kuwait',
        'bh': 'https://www.facebook.com/Zaahib.Bahrain',
        'dz': 'https://www.facebook.com/Zaahib.Algeria',
        'tr': 'https://www.facebook.com/Zaahib.Turkey/'
    },
    'google': { 'all': 'https://google.com/+Zaahib' },
    'instagram': {
        'all': 'https://instagram.com/zaahib_com ',
        'eg': 'https://instagram.com/zaahib_egypt/'
    },
    'twitter': {
        'tr': 'https://twitter.com/Zaahib_Turkey',
        'sa': 'https://twitter.com/zaahib',
        'eg': 'https://twitter.com/Zaahib_Egypt',
        'ye': 'https://twitter.com/Zaahib_Yemen',
        'ae': 'https://twitter.com/Zaahib_Emirates',
        'qa': 'https://twitter.com/Zaahib_Qatar',
        'om': 'https://twitter.com/Zaahib_Oman',
        'kw': 'https://twitter.com/Zaahib_Kuwait',
        'bh': 'https://twitter.com/Zaahib_Bahrain'
    },
    'youtube': { 'all': 'https://youtube.com/zaaahib' }
};

let currentYear = new Date().getFullYear();
export const propertyAgeList: Array<PropertyAge> = [
    { id: currentYear, name: '1' },
    { id: currentYear - 1, name: '2' },
    { id: currentYear - 2, name: '3' },
    { id: currentYear - 3, name: '4' },
    { id: currentYear - 4, name: '5' },
    { id: currentYear - 5, name: '6' },
    { id: currentYear - 6, name: '7' },
    { id: currentYear - 7, name: '8' },
    { id: currentYear - 8, name: '9' },
    { id: currentYear - 9, name: '10' },
    { id: currentYear - 10, name: '11' },
    { id: currentYear - 11, name: '12' },
    { id: currentYear - 12, name: '13' },
    { id: currentYear - 13, name: '14' },
    { id: currentYear - 14, name: '15' },
    { id: currentYear - 15, name: '16' },
    { id: currentYear - 16, name: '17' },
    { id: currentYear - 17, name: '18' },
    { id: currentYear - 18, name: '19' },
    { id: currentYear - 19, name: '20' },
    { id: currentYear - 20, name: '21' },
    { id: currentYear - 21, name: '22' },
    { id: currentYear - 22, name: '23' },
    { id: currentYear - 23, name: '24' },
    { id: currentYear - 24, name: '25' },
    { id: currentYear - 25, name: '26' },
    { id: currentYear - 26, name: '27' },
    { id: currentYear - 27, name: '28' },
    { id: currentYear - 28, name: '29' },
    { id: currentYear - 29, name: '30' },
    { id: currentYear - 30, name: '31' },
    { id: currentYear - 31, name: '32' },
    { id: currentYear - 32, name: '33' },
    { id: currentYear - 33, name: '34' },
    { id: currentYear - 34, name: '35' },
    { id: currentYear - 35, name: '36' },
    { id: currentYear - 36, name: '37' },
    { id: currentYear - 37, name: '38' },
    { id: currentYear - 38, name: '39' },
    { id: currentYear - 39, name: '40' },
    { id: currentYear - 40, name: '41' },
    { id: currentYear - 41, name: '42' },
    { id: currentYear - 42, name: '43' },
    { id: currentYear - 43, name: '44' },
    { id: currentYear - 44, name: '45' },
    { id: currentYear - 45, name: '46' },
    { id: currentYear - 46, name: '47' },
    { id: currentYear - 47, name: '48' },
    { id: currentYear - 48, name: '49' },
    { id: currentYear - 49, name: '50' },
    { id: currentYear - 50, name: '51' },
    { id: currentYear - 51, name: '52' },
    { id: currentYear - 52, name: '53' },
    { id: currentYear - 53, name: '54' },
    { id: currentYear - 54, name: '55' },
    { id: currentYear - 55, name: '56' },
    { id: currentYear - 56, name: '57' },
    { id: currentYear - 57, name: '58' },
    { id: currentYear - 58, name: '59' },
    { id: currentYear - 59, name: '60' },
    { id: currentYear - 60, name: '61' },
    { id: currentYear - 61, name: '62' },
    { id: currentYear - 62, name: '63' },
    { id: currentYear - 63, name: '64' },
    { id: currentYear - 64, name: '65' },
    { id: currentYear - 65, name: '66' },
    { id: currentYear - 66, name: '67' },
    { id: currentYear - 67, name: '68' },
    { id: currentYear - 68, name: '69' },
    { id: currentYear - 69, name: '70' },
    { id: currentYear - 70, name: '71' },
    { id: currentYear - 71, name: '72' },
    { id: currentYear - 72, name: '73' },
    { id: currentYear - 73, name: '74' },
    { id: currentYear - 74, name: '75' },
    { id: currentYear - 75, name: '76' },
    { id: currentYear - 76, name: '77' },
    { id: currentYear - 77, name: '78' },
    { id: currentYear - 78, name: '79' },
    { id: currentYear - 79, name: '80' },
    { id: currentYear - 80, name: '81' },
    { id: currentYear - 81, name: '82' },
    { id: currentYear - 82, name: '83' },
    { id: currentYear - 83, name: '84' },
    { id: currentYear - 84, name: '85' },
    { id: currentYear - 85, name: '86' },
    { id: currentYear - 86, name: '87' },
    { id: currentYear - 87, name: '88' },
    { id: currentYear - 88, name: '89' },
    { id: currentYear - 89, name: '90' },
    { id: currentYear - 90, name: '91' },
    { id: currentYear - 91, name: '92' },
    { id: currentYear - 92, name: '93' },
    { id: currentYear - 93, name: '94' },
    { id: currentYear - 94, name: '95' },
    { id: currentYear - 95, name: '96' },
    { id: currentYear - 96, name: '97' },
    { id: currentYear - 97, name: '98' },
    { id: currentYear - 98, name: '99' },
    { id: currentYear - 99, name: '100' }
];
export const listingProperties: any = {
    'SquareMeter': { 'id': 'SquareMeter', 'nameAr': 'المساحة ( متر مربع )', 'nameEn': 'Square Meter', 'type': 'number', 'value': 'SquareMeter', 'maxlength': '9', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '149', '150', '151', '152', '156', '163', '165', '459', '863', '864', '869'] },
    'constructionSquareMeter': { 'id': 'ConstructionSquareMeter', 'nameAr': 'مساحة مسطحات البناء', 'nameEn': 'Construction Square Meter', 'type': 'number', 'value': 'ConstructionSquareMeter', 'maxlength': '9', 'mandatory': [], 'show': ['138', '140', '141', '142', '143', '144', '150', '151', '156', '163', '459'] },
    'PropertyAge': { 'id': 'PropertyAge', 'nameAr': 'عمر العقار', 'nameEn': 'Property Age', 'type': 'number', 'value': 'PropertyAge', 'maxlength': '60', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '151', '152', '156', '163', '459', '863', '864', '869'] },
    'Beds': { 'id': 'Beds', 'nameAr': 'غرف النوم', 'nameEn': 'Bed Rooms', 'type': 'number', 'value': 'Beds', 'maxlength': '4', 'mandatory': [], 'show': ['138', '139', '140', '141', '144', '152', '156', '163', '863', '864'] },
    'OfficeRooms': { 'id': 'OfficeRooms', 'nameAr': 'غرف المكتب', 'nameEn': 'Office Rooms', 'type': 'number', 'value': 'OfficeRooms', 'maxlength': '3', 'mandatory': [], 'show': ['143'] },
    'Units': { 'id': 'Units', 'nameAr': 'الوحدات', 'nameEn': 'Units', 'type': 'number', 'value': 'Units', 'maxlength': '6', 'mandatory': [], 'show': ['141', '142', '869'] },
    'NumberOfLevels': { 'id': 'NumberOfLevels', 'nameAr': 'عدد الأدوار', 'nameEn': 'Number of Levels', 'type': 'number', 'value': 'NumberOfLevels', 'maxlength': '3', 'mandatory': [], 'show': ['138', '141', '142', '150', '151', '156', '163', '863', '864'] },
    'Baths': { 'id': 'Baths', 'nameAr': 'عدد دورات المياه', 'nameEn': 'Baths', 'type': 'number', 'value': 'Baths', 'maxlength': '3', 'mandatory': [], 'show': ['138', '139', '140', '141', '143', '144', '150', '151', '152', '156', '163', '459', '863', '864'] },
    'Rooms': { 'id': 'Rooms', 'nameAr': 'غرف اخرى', 'nameEn': 'Other Rooms', 'type': 'number', 'value': 'Rooms', 'maxlength': '3', 'mandatory': [], 'show': ['138', '139', '140', '144', '152', '156', '163', '863', '864'] },
    'LevelNo': { 'id': 'LevelNo', 'nameAr': 'رقم الطابق', 'nameEn': 'Level No', 'type': 'number', 'value': 'LevelNo', 'maxlength': '3', 'mandatory': [], 'show': ['139', '140', '143', '150', '459'] },
    'GarageSize': { 'id': 'GarageSize', 'nameAr': 'مواقف السيارات', 'nameEn': 'Parking', 'type': 'number', 'value': 'GarageSize', 'maxlength': '5', 'mandatory': [], 'show': ['138', '139', '140', '142', '143', '144', '150', '151', '156', '163', '459', '863', '864', '869'] },
    'PropertyFinalizing': { 'id': 'PropertyFinalizing', 'nameAr': 'تشطيب العقار', 'nameEn': 'Property Finalizing', 'type': 'select', 'value': 'PropertyFinalizing', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '151', '152', '156', '163', '459', '863', '864'] },
    'Electricity': { 'id': 'Electricity', 'nameAr': 'كهرباء', 'nameEn': 'Electricity', 'type': 'checkbox', 'value': 'Electricity', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '149', '150', '151', '152', '156', '163', '165', '459', '863', '864', '869'] },
    'Water': { 'id': 'Water', 'nameAr': 'ماء', 'nameEn': 'Water', 'type': 'checkbox', 'value': 'Water', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '149', '150', '151', '152', '156', '163', '165', '459', '863', '864', '869'] },
    'Gas': { 'id': 'Gas', 'nameAr': 'غاز', 'nameEn': 'Gas', 'type': 'checkbox', 'value': 'Gas', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '149', '150', '151', '152', '156', '163', '165', '459', '863', '864', '869'] },
    'Phone': { 'id': 'Phone', 'nameAr': 'هاتف', 'nameEn': 'Phone', 'type': 'checkbox', 'value': 'Phone', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '149', '150', '151', '152', '156', '163', '459', '863', '864', '869'] },
    'Internet': { 'id': 'Internet', 'nameAr': 'انترنت', 'nameEn': 'Internet', 'type': 'checkbox', 'value': 'Internet', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '149', '150', '151', '152', '156', '163', '459', '863', '864', '869'] },
    'Furnished': { 'id': 'Furnished', 'nameAr': 'مفروشة', 'nameEn': 'Furnished', 'type': 'checkbox', 'value': 'Furnished', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '152', '156', '163', '459', '863', '864'] },
    'Basement': { 'id': 'Basement', 'nameAr': 'سرداب/قبو', 'nameEn': 'Basement', 'type': 'checkbox', 'value': 'Basement', 'maxlength': '', 'mandatory': [], 'show': ['138', '141', '142', '151', '156', '163'] },
    'SwimmingPool': { 'id': 'SwimmingPool', 'nameAr': 'مسبح', 'nameEn': 'Swimming Pool', 'type': 'checkbox', 'value': 'SwimmingPool', 'maxlength': '', 'mandatory': [], 'show': ['138', '140', '141', '142', '144', '152', '156', '163', '863', '869'] },
    'ModernDesign': { 'id': 'ModernDesign', 'nameAr': 'ديكور حديث', 'nameEn': 'Modern Design', 'type': 'checkbox', 'value': 'ModernDesign', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '156', '163', '459', '863', '864', '869'] },
    'AC': { 'id': 'AC', 'nameAr': 'تكييف', 'nameEn': 'AC', 'type': 'checkbox', 'value': 'AC', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '151', '156', '163', '459', '863', '864', '869'] },
    'CentralAC': { 'id': 'CentralAC', 'nameAr': 'تكييف مركزي', 'nameEn': 'Central AC', 'type': 'checkbox', 'value': 'CentralAC', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '156', '163', '863', '864', '869'] },
    'FullKitchen': { 'id': 'FullKitchen', 'nameAr': 'مطبخ مجهز', 'nameEn': 'Full Kitchen', 'type': 'checkbox', 'value': 'FullKitchen', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '143', '144', '151', '152', '156', '163', '459', '863', '864'] },
    'SpaHotTub': { 'id': 'SpaHotTub', 'nameAr': 'جاكوزي', 'nameEn': 'Jacuzzi', 'type': 'checkbox', 'value': 'SpaHotTub', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '144', '152', '156', '163', '863', '864'] },
    'DisabilityFeatures': { 'id': 'DisabilityFeatures', 'nameAr': 'ميزات خاصة للمعاقين', 'nameEn': 'Disability Features', 'type': 'checkbox', 'value': 'DisabilityFeatures', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '156', '163', '459', '863', '864', '869'] },
    'ExternalExtension': { 'id': 'ExternalExtension', 'nameAr': 'ملحق خارجي', 'nameEn': 'External Extension', 'type': 'checkbox', 'value': 'ExternalExtension', 'maxlength': '', 'mandatory': [], 'show': ['138', '140', '156', '163'] },
    'RoomForMaid': { 'id': 'RoomForMaid', 'nameAr': 'غرفة خادمة', 'nameEn': 'Room For Maid', 'type': 'checkbox', 'value': 'RoomForMaid', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '156', '163'] },
    'RoomForDriver': { 'id': 'RoomForDriver', 'nameAr': 'غرفة سائق', 'nameEn': 'Room for Driver', 'type': 'checkbox', 'value': 'RoomForDriver', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '144', '156', '163'] },
    'StorageRoom': { 'id': 'StorageRoom', 'nameAr': 'مخزن', 'nameEn': 'Storage Room', 'type': 'checkbox', 'value': 'StorageRoom', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '142', '143', '144', '150', '152', '156', '163'] },
    'SecurityGaurds': { 'id': 'SecurityGaurds', 'nameAr': 'حارس أمن', 'nameEn': 'Security Gaurds', 'type': 'checkbox', 'value': 'SecurityGaurds', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '151', '152', '156', '163', '459', '863', '864', '869'] },
    'SecurityCameras': { 'id': 'SecurityCameras', 'nameAr': 'كاميرات مراقبة', 'nameEn': 'Security Cameras', 'type': 'checkbox', 'value': 'SecurityCameras', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '151', '152', '156', '163', '459', '863', '864', '869'] },
    'SecurityRoom': { 'id': 'SecurityRoom', 'nameAr': 'غرفة حراسة', 'nameEn': 'Security Room', 'type': 'checkbox', 'value': 'SecurityRoom', 'maxlength': '', 'mandatory': [], 'show': ['138', '142', '151', '152', '156', '163', '863', '864', '869'] },
    'Fireplace': { 'id': 'Fireplace', 'nameAr': 'مدفأة', 'nameEn': 'Fireplace', 'type': 'checkbox', 'value': 'Fireplace', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '144', '156', '163', '863', '864'] },
    'Residential': { 'id': 'Residential', 'nameAr': 'سكني', 'nameEn': 'Residential', 'type': 'checkbox', 'value': 'Residential', 'maxlength': '', 'mandatory': [], 'show': [] },
    'Commercial': { 'id': 'Commercial', 'nameAr': 'تجاري', 'nameEn': 'Commercial', 'type': 'checkbox', 'value': 'Commercial', 'maxlength': '', 'mandatory': [], 'show': [] },
    'WorkersResidence': { 'id': 'WorkersResidence', 'nameAr': 'سكن عمال', 'nameEn': 'Workers Residence', 'type': 'checkbox', 'value': 'WorkersResidence', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '144', '151', '152', '156', '163', '459', '863', '864', '869'] },
    'SinglesFriendly': { 'id': 'SinglesFriendly', 'nameAr': 'سكن عزاب', 'nameEn': 'Singles Friendly', 'type': 'checkbox', 'value': 'SinglesFriendly', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '144', '163', '459', '869'] },
    'CityView': { 'id': 'CityView', 'nameAr': 'مطلة على المدينة', 'nameEn': 'City View', 'type': 'checkbox', 'value': 'CityView', 'maxlength': '', 'mandatory': [], 'show': ['139', '140', '141', '142', '143', '149', '156', '459', '869'] },
    'SeaView': { 'id': 'SeaView', 'nameAr': 'مطلة على البحر', 'nameEn': 'Sea View', 'type': 'checkbox', 'value': 'SeaView', 'maxlength': '', 'mandatory': [], 'show': ['864'] },
    'Waterfront': { 'id': 'Waterfront', 'nameAr': 'واجهة بحرية', 'nameEn': 'Waterfront', 'type': 'checkbox', 'value': 'Waterfront', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '149', '150', '156', '163', '165', '459', '863', '864', '869'] },
    'Garden': { 'id': 'Garden', 'nameAr': 'حديقة', 'nameEn': 'Garden', 'type': 'checkbox', 'value': 'Garden', 'maxlength': '', 'mandatory': [], 'show': ['138', '140', '142', '144', '156', '163', '869'] },
    'Elevator': { 'id': 'Elevator', 'nameAr': 'مصعد', 'nameEn': 'Elevator', 'type': 'checkbox', 'value': 'Elevator', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '150', '156', '163', '459', '863', '864'] },
    'OpenSpaceStyle': { 'id': 'OpenSpaceStyle', 'nameAr': 'طراز مفتوح', 'nameEn': 'Open Space Style', 'type': 'checkbox', 'value': 'OpenSpaceStyle', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '143', '144', '150', '156', '163', '863', '864'] },
    'Hall': { 'id': 'Hall', 'nameAr': 'صالة', 'nameEn': 'Hall', 'type': 'checkbox', 'value': 'Hall', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '151', '152', '156', '163', '459'] },
    'NewBuildNotUsed': { 'id': 'NewBuildNotUsed', 'nameAr': 'بناء جديد، لم يستخدم', 'nameEn': 'New Build, Not Used', 'type': 'checkbox', 'value': 'NewBuildNotUsed', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '150', '151', '152', '156', '163', '459', '863', '864', '869'] },
    'PricePerSQM': { 'id': 'PricePerSQM', 'nameAr': 'سعر المتر المربع', 'nameEn': 'Price Per SQM', 'type': 'hidden', 'value': 'PricePerSQM', 'maxlength': '', 'mandatory': [], 'show': ['143', '149', '165'] },
    'NoOfStreets': { 'id': 'NoOfStreets', 'nameAr': 'عدد الشوارع المحيطة', 'nameEn': 'Streets', 'type': 'number', 'value': 'NoOfStreets', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '149', '150', '151', '152', '156', '163', '165', '459', '863', '864', '869'] },
    'Features': { 'id': 'Features', 'nameAr': 'المميزات', 'nameEn': 'Features', 'type': 'select', 'value': 'Features', 'maxlength': '', 'mandatory': [], 'show': ['138', '139', '140', '141', '142', '143', '144', '149', '150', '151', '152', '156', '163', '165', '459', '863', '864', '869'] }
};

export const userServices: Array<ListModalListItem> = [
    { id: '4', 'nameEn': 'Owner', 'nameAr': 'مالك عقار', 'category_sid': '', 'secondaryProperties': [] },
    { id: '5', 'nameEn': 'Broker', 'nameAr': 'وسيط عقاري', 'category_sid': '', 'secondaryProperties': [] },
    { id: '6', 'nameEn': 'Consultant', 'nameAr': 'مستشار عقاري', 'category_sid': '', 'secondaryProperties': [] },
    { id: '7', 'nameEn': 'Office', 'nameAr': 'مكتب عقاري', 'category_sid': '', 'secondaryProperties': [] },
    { id: '10', 'nameEn': 'Construction', 'nameAr': 'مقاولات واعمال بناء', 'category_sid': '', 'secondaryProperties': [] },
    { id: '11', 'nameEn': 'Real Estate Finance', 'nameAr': 'تمويل عقاري', 'category_sid': '', 'secondaryProperties': [] },
    { id: '12', 'nameEn': 'Real Estate Investing', 'nameAr': 'استثمار عقاري', 'category_sid': '', 'secondaryProperties': [] },
    { id: '13', 'nameEn': 'Interior Design', 'nameAr': 'تصميم و اعمال ديكور', 'category_sid': '', 'secondaryProperties': [] },
    { id: '14', 'nameEn': 'Moving Services', 'nameAr': 'نقل أثاث و عفش', 'category_sid': '', 'secondaryProperties': [] },
    { id: '15', 'nameEn': 'Property Cleaning', 'nameAr': 'خدمات نظافة عامة', 'category_sid': '', 'secondaryProperties': [] },
    { id: '16', 'nameEn': 'Engineering and Architectural', 'nameAr': 'مكتب هندسي', 'category_sid': '', 'secondaryProperties': [] },
    { id: '17', 'nameEn': 'Professional Photography', 'nameAr': 'تصوير احترافي للعقارات', 'category_sid': '', 'secondaryProperties': [] }
];

export const userLanguages: Array<ListModalListItem> = [
    { id: '1', 'nameEn': 'Arabic', 'nameAr': 'عربي', 'category_sid': '', 'secondaryProperties': [] },
    { id: '2', 'nameEn': 'English', 'nameAr': 'انجليزي', 'category_sid': '', 'secondaryProperties': [] },
    { id: '3', 'nameEn': 'Urdu', 'nameAr': 'اردو', 'category_sid': '', 'secondaryProperties': [] }
];

let UserCountries = {
    'sa': { 'nameEn': 'Saudi Arabia', 'nameAr': 'السعودية' },
    'eg': { 'nameEn': 'Egypt', 'nameAr': 'مصر' },
    'tr': { 'nameEn': 'Turkey', 'nameAr': 'تركيا' },
    'ae': { 'nameEn': 'Emirates', 'nameAr': 'الامارات' },
    'dz': { 'nameEn': 'Algeria', 'nameAr': 'الجزائر' },
    'ye': { 'nameEn': 'Yemen', 'nameAr': 'اليمن' },
    'om': { 'nameEn': 'Oman', 'nameAr': 'عمان' },
    'qa': { 'nameEn': 'Qatar', 'nameAr': 'قطر' },
    'kw': { 'nameEn': 'Kuwait', 'nameAr': 'الكويت' },
    'bh': { 'nameEn': 'Bahrain', 'nameAr': 'البحرين' }
};

let ListingFieldSections = {
    'Location': { 'step': '1' },
    'Features': { 'step': '1' },
    'Contact': { 'step': '1' },
    'FeaturesExtra': { 'step': '1' },
    'Photos': { 'step': '2' },
    'Video': { 'step': '2' },
    'LocationStreets': { 'step': '2' },
    'LocationDetails': { 'step': '2' },
    'Options': { 'step': '2' }
};

export const CountryPhonePrefixesEn: any = {
    'dz': { 'prefix': '213', 'name': 'Algeria' },
    'bh': { 'prefix': '973', 'name': 'Bahrain' },
    'eg': { 'prefix': '20', 'name': 'Egypt' },
    'kw': { 'prefix': '965', 'name': 'Kuwait' },
    'om': { 'prefix': '968', 'name': 'Oman' },
    'qa': { 'prefix': '974', 'name': 'Qatar' },
    'sa': { 'prefix': '966', 'name': 'Saudi Arabia' },
    'tr': { 'prefix': '90', 'name': 'Turkey' },
    'ae': { 'prefix': '971', 'name': 'United Arab Emirates' },
    'ye': { 'prefix': '967', 'name': 'Yemen' },
    'af': { 'prefix': '93', 'name': 'Afghanistan' },
    'al': { 'prefix': '355', 'name': 'Albania' },
    'ad': { 'prefix': '376', 'name': 'Andorra' },
    'ao': { 'prefix': '1-268', 'name': 'Antigua and Barbuda' },
    'ar': { 'prefix': '54', 'name': 'Argentina' },
    'am': { 'prefix': '374', 'name': 'Armenia' },
    'au': { 'prefix': '61', 'name': 'Australia' },
    'at': { 'prefix': '43', 'name': 'Austria' },
    'az': { 'prefix': '994', 'name': 'Azerbaijan' },
    'bs': { 'prefix': '1-242', 'name': 'Bahamas' },
    'bd': { 'prefix': '880', 'name': 'Bangladesh' },
    'bb': { 'prefix': '1-246', 'name': 'Barbados' },
    'by': { 'prefix': '375', 'name': 'Belarus' },
    'be': { 'prefix': '32', 'name': 'Belgium' },
    'bz': { 'prefix': '501', 'name': 'Belize' },
    'bj': { 'prefix': '229', 'name': 'Benin' },
    'bt': { 'prefix': '975', 'name': 'Bhutan' },
    'bo': { 'prefix': '591', 'name': 'Bolivia' },
    'ba': { 'prefix': '387', 'name': 'Bosnia and Herzegovina' },
    'bw': { 'prefix': '267', 'name': 'Botswana' },
    'br': { 'prefix': '55', 'name': 'Brazil' },
    'bn': { 'prefix': '673', 'name': 'Brunei' },
    'bg': { 'prefix': '359', 'name': 'Bulgaria' },
    'bf': { 'prefix': '226', 'name': 'Burkina Faso' },
    'bi': { 'prefix': '257', 'name': 'Burundi' },
    'kh': { 'prefix': '855', 'name': 'Cambodia' },
    'cm': { 'prefix': '237', 'name': 'Cameroon' },
    'ca': { 'prefix': '1', 'name': 'Canada' },
    'cv': { 'prefix': '238', 'name': 'Cape Verde' },
    'cf': { 'prefix': '236', 'name': 'Central African Republic' },
    'td': { 'prefix': '235', 'name': 'Chad' },
    'cl': { 'prefix': '56', 'name': 'Chile' },
    'cn': { 'prefix': '86', 'name': 'China' },
    'co': { 'prefix': '57', 'name': 'Colombia' },
    'km': { 'prefix': '269', 'name': 'Comoros' },
    'cd': { 'prefix': '243', 'name': 'Congo (Democratic)' },
    'cg': { 'prefix': '242', 'name': 'Congo (Republic)' },
    'cr': { 'prefix': '506', 'name': 'Costa Rica' },
    'ci': { 'prefix': '225', 'name': 'Cote d&amp;rsquo;Ivoire' },
    'hr': { 'prefix': '385', 'name': 'Croatia' },
    'cu': { 'prefix': '53', 'name': 'Cuba' },
    'cy': { 'prefix': '357', 'name': 'Cyprus' },
    'cz': { 'prefix': '420', 'name': 'Czech Republic' },
    'dk': { 'prefix': '45', 'name': 'Denmark' },
    'dj': { 'prefix': '253', 'name': 'Djibouti' },
    'tl': { 'prefix': '670', 'name': 'East Timor' },
    'ec': { 'prefix': '593', 'name': 'Ecuador' },
    'sv': { 'prefix': '503', 'name': 'El Salvador' },
    'gq': { 'prefix': '240', 'name': 'Equatorial Guinea' },
    'er': { 'prefix': '291', 'name': 'Eritrea' },
    'ee': { 'prefix': '372', 'name': 'Estonia' },
    'et': { 'prefix': '251', 'name': 'Ethiopia' },
    'fj': { 'prefix': '679', 'name': 'Fiji' },
    'fi': { 'prefix': '358', 'name': 'Finland' },
    'fr': { 'prefix': '33', 'name': 'France' },
    'ga': { 'prefix': '241', 'name': 'Gabon' },
    'gm': { 'prefix': '220', 'name': 'Gambia' },
    'ge': { 'prefix': '995', 'name': 'Georgia' },
    'de': { 'prefix': '49', 'name': 'Germany' },
    'gh': { 'prefix': '233', 'name': 'Ghana' },
    'gr': { 'prefix': '30', 'name': 'Greece' },
    'gt': { 'prefix': '502', 'name': 'Guatemala' },
    'gn': { 'prefix': '224', 'name': 'Guinea' },
    'gw': { 'prefix': '245', 'name': 'Guinea Bissau' },
    'gy': { 'prefix': '592', 'name': 'Guyana' },
    'ht': { 'prefix': '509', 'name': 'Haiti' },
    'hn': { 'prefix': '504', 'name': 'Honduras' },
    'hu': { 'prefix': '36', 'name': 'Hungary' },
    'is': { 'prefix': '354', 'name': 'Iceland' },
    'in': { 'prefix': '91', 'name': 'India' },
    'id': { 'prefix': '62', 'name': 'Indonesia' },
    'ir': { 'prefix': '98', 'name': 'Iran' },
    'iq': { 'prefix': '964', 'name': 'Iraq' },
    'it': { 'prefix': '39', 'name': 'Italy' },
    'jp': { 'prefix': '81', 'name': 'Japan' },
    'jo': { 'prefix': '962', 'name': 'Jordan' },
    'kz': { 'prefix': '7', 'name': 'Kazakhstan' },
    'ke': { 'prefix': '254', 'name': 'Kenya' },
    'ki': { 'prefix': '686', 'name': 'Kiribati' },
    'kp': { 'prefix': '850', 'name': 'Korea, North' },
    'kr': { 'prefix': '82', 'name': 'Korea, South' },
    'xk': { 'prefix': '383', 'name': 'Kosovo' },
    'kg': { 'prefix': '996', 'name': 'Kyrgyzstan' },
    'la': { 'prefix': '856', 'name': 'Laos' },
    'lv': { 'prefix': '371', 'name': 'Latvia' },
    'lb': { 'prefix': '961', 'name': 'Lebanon' },
    'ls': { 'prefix': '266', 'name': 'Lesotho' },
    'lr': { 'prefix': '231', 'name': 'Liberia' },
    'ly': { 'prefix': '218', 'name': 'Libya' },
    'li': { 'prefix': '423', 'name': 'Liechtenstein' },
    'lt': { 'prefix': '370', 'name': 'Lithuania' },
    'lu': { 'prefix': '352', 'name': 'Luxembourg' },
    'mk': { 'prefix': '389', 'name': 'Macedonia' },
    'mg': { 'prefix': '261', 'name': 'Madagascar' },
    'mw': { 'prefix': '265', 'name': 'Malawi' },
    'my': { 'prefix': '60', 'name': 'Malaysia' },
    'mv': { 'prefix': '960', 'name': 'Maldives' },
    'ml': { 'prefix': '223', 'name': 'Mali' },
    'mt': { 'prefix': '356', 'name': 'Malta' },
    'mh': { 'prefix': '692', 'name': 'Marshall Islands' },
    'mr': { 'prefix': '222', 'name': 'Mauritania' },
    'mu': { 'prefix': '230', 'name': 'Mauritius' },
    'mx': { 'prefix': '52', 'name': 'Mexico' },
    'fm': { 'prefix': '691', 'name': 'Micronesia (Federated)' },
    'md': { 'prefix': '373', 'name': 'Moldova' },
    'mc': { 'prefix': '377', 'name': 'Monaco' },
    'mn': { 'prefix': '976', 'name': 'Mongolia' },
    'me': { 'prefix': '382', 'name': 'Montenegro' },
    'ma': { 'prefix': '212', 'name': 'Morocco' },
    'mz': { 'prefix': '258', 'name': 'Mozambique' },
    'mm': { 'prefix': '95', 'name': 'Myanmar' },
    'na': { 'prefix': '264', 'name': 'Namibia' },
    'nr': { 'prefix': '674', 'name': 'Nauru' },
    'np': { 'prefix': '977', 'name': 'Nepal' },
    'nl': { 'prefix': '31', 'name': 'Netherlands' },
    'nz': { 'prefix': '64', 'name': 'New Zealand' },
    'ni': { 'prefix': '505', 'name': 'Nicaragua' },
    'ne': { 'prefix': '227', 'name': 'Niger' },
    'ng': { 'prefix': '234', 'name': 'Nigeria' },
    'no': { 'prefix': '47', 'name': 'Norway' },
    'pk': { 'prefix': '92', 'name': 'Pakistan' },
    'pw': { 'prefix': '680', 'name': 'Palau' },
    'ps': { 'prefix': '970', 'name': 'Palestine' },
    'pa': { 'prefix': '507', 'name': 'Panama' },
    'pg': { 'prefix': '675', 'name': 'Papua New Guinea' },
    'py': { 'prefix': '595', 'name': 'Paraguay' },
    'pe': { 'prefix': '51', 'name': 'Peru' },
    'ph': { 'prefix': '63', 'name': 'Philippines' },
    'pl': { 'prefix': '48', 'name': 'Poland' },
    'pt': { 'prefix': '351', 'name': 'Portugal' },
    'ro': { 'prefix': '40', 'name': 'Romania' },
    'ru': { 'prefix': '7', 'name': 'Russia' },
    'rw': { 'prefix': '250', 'name': 'Rwanda' },
    'ws': { 'prefix': '685', 'name': 'Samoa' },
    'sm': { 'prefix': '378', 'name': 'San Marino' },
    'st': { 'prefix': '239', 'name': 'Sao Tome and Principe' },
    'sn': { 'prefix': '221', 'name': 'Senegal' },
    'rs': { 'prefix': '381', 'name': 'Serbia' },
    'sc': { 'prefix': '248', 'name': 'Seychelles' },
    'sl': { 'prefix': '232', 'name': 'Sierra Leone' },
    'sg': { 'prefix': '65', 'name': 'Singapore' },
    'sk': { 'prefix': '421', 'name': 'Slovakia' },
    'si': { 'prefix': '386', 'name': 'Slovenia' },
    'sb': { 'prefix': '677', 'name': 'Solomon Islands' },
    'so': { 'prefix': '252', 'name': 'Somalia' },
    'za': { 'prefix': '27', 'name': 'South Africa' },
    'ss': { 'prefix': '211', 'name': 'South Sudan' },
    'es': { 'prefix': '34', 'name': 'Spain' },
    'lk': { 'prefix': '94', 'name': 'Sri Lanka' },
    'sd': { 'prefix': '249', 'name': 'Sudan' },
    'sr': { 'prefix': '597', 'name': 'Suriname' },
    'sz': { 'prefix': '268', 'name': 'Swaziland' },
    'se': { 'prefix': '46', 'name': 'Sweden' },
    'ch': { 'prefix': '41', 'name': 'Switzerland' },
    'sy': { 'prefix': '963', 'name': 'Syria' },
    'tw': { 'prefix': '886', 'name': 'Taiwan' },
    'tj': { 'prefix': '992', 'name': 'Tajikistan' },
    'tz': { 'prefix': '255', 'name': 'Tanzania' },
    'th': { 'prefix': '66', 'name': 'Thailand' },
    'tg': { 'prefix': '228', 'name': 'Togo' },
    'to': { 'prefix': '676', 'name': 'Tonga' },
    'tn': { 'prefix': '216', 'name': 'Tunisia' },
    'tm': { 'prefix': '993', 'name': 'Turkmenistan' },
    'tv': { 'prefix': '688', 'name': 'Tuvalu' },
    'ug': { 'prefix': '256', 'name': 'Uganda' },
    'ua': { 'prefix': '380', 'name': 'Ukraine' },
    'gb': { 'prefix': '44', 'name': 'United Kingdom' },
    'us': { 'prefix': '1', 'name': 'United States of America' },
    'uy': { 'prefix': '598', 'name': 'Uruguay' },
    'uz': { 'prefix': '998', 'name': 'Uzbekistan' },
    'vu': { 'prefix': '678', 'name': 'Vanuatu' },
    've': { 'prefix': '58', 'name': 'Venezuela' },
    'vn': { 'prefix': '84', 'name': 'Vietnam' },
    'zm': { 'prefix': '260', 'name': 'Zambia' },
    'zw': { 'prefix': '263', 'name': 'Zimbabwe' }
};

export const CountryPhonePrefixesAr: any = {
    'ae': { 'prefix': '971', 'name': 'الأمارات العربية المتحدة' },
    'bh': { 'prefix': '973', 'name': 'البحرين' },
    'dz': { 'prefix': '213', 'name': 'الجزائر' },
    'kw': { 'prefix': '965', 'name': 'الكويت' },
    'sa': { 'prefix': '966', 'name': 'المملكة العربية السعودية' },
    'tr': { 'prefix': '90', 'name': 'تركيا' },
    'om': { 'prefix': '968', 'name': 'عمان' },
    'qa': { 'prefix': '974', 'name': 'قطر' },
    'eg': { 'prefix': '20', 'name': 'مصر' },
    'ye': { 'prefix': '967', 'name': 'يمني' },
    'et': { 'prefix': '251', 'name': 'أثيوبيا' },
    'az': { 'prefix': '994', 'name': 'أذربيجان' },
    'am': { 'prefix': '374', 'name': 'أرمينيا' },
    'er': { 'prefix': '291', 'name': 'إريتريا' },
    'es': { 'prefix': '34', 'name': 'إسبانيا' },
    'au': { 'prefix': '61', 'name': 'أستراليا' },
    'af': { 'prefix': '93', 'name': 'أفغانستان' },
    'al': { 'prefix': '355', 'name': 'ألبانيا' },
    'de': { 'prefix': '49', 'name': 'ألمانيا' },
    'ao': { 'prefix': '1-268', 'name': 'أنتيغوا وبربودا' },
    'ad': { 'prefix': '376', 'name': 'أندورا' },
    'id': { 'prefix': '62', 'name': 'أندونيسيا' },
    'uy': { 'prefix': '598', 'name': 'أوروغواي' },
    'uz': { 'prefix': '998', 'name': 'أوزبكستان' },
    'ug': { 'prefix': '256', 'name': 'أوغندا' },
    'ua': { 'prefix': '380', 'name': 'أوكرانيا' },
    'ir': { 'prefix': '98', 'name': 'إيران' },
    'is': { 'prefix': '354', 'name': 'أيسلندا' },
    'it': { 'prefix': '39', 'name': 'إيطاليا' },
    'ee': { 'prefix': '372', 'name': 'استونيا' },
    'ar': { 'prefix': '54', 'name': 'الأرجنتين' },
    'jo': { 'prefix': '962', 'name': 'الأردن' },
    'ec': { 'prefix': '593', 'name': 'الإكوادور' },
    'br': { 'prefix': '55', 'name': 'البرازيل' },
    'pt': { 'prefix': '351', 'name': 'البرتغال' },
    'ba': { 'prefix': '387', 'name': 'البوسنة والهرسك' },
    'me': { 'prefix': '382', 'name': 'الجبل الأسود' },
    'cz': { 'prefix': '420', 'name': 'الجمهورية التشيكية' },
    'dk': { 'prefix': '45', 'name': 'الدنمارك' },
    'cv': { 'prefix': '238', 'name': 'الرأس الأخضر' },
    'sv': { 'prefix': '503', 'name': 'السلفادور' },
    'sn': { 'prefix': '221', 'name': 'السنغال' },
    'se': { 'prefix': '46', 'name': 'السويد' },
    'so': { 'prefix': '252', 'name': 'الصومال' },
    'cn': { 'prefix': '86', 'name': 'الصين' },
    'iq': { 'prefix': '964', 'name': 'العراق' },
    'ga': { 'prefix': '241', 'name': 'الغابون' },
    'ph': { 'prefix': '63', 'name': 'الفلبين' },
    'cm': { 'prefix': '237', 'name': 'الكاميرون' },
    'cd': { 'prefix': '243', 'name': 'الكونغو (الديمقراطية)' },
    'cg': { 'prefix': '242', 'name': 'الكونغو (جمهورية)' },
    'ma': { 'prefix': '212', 'name': 'المغرب' },
    'mx': { 'prefix': '52', 'name': 'المكسيك' },
    'gb': { 'prefix': '44', 'name': 'المملكة المتحدة' },
    'no': { 'prefix': '47', 'name': 'النرويج' },
    'at': { 'prefix': '43', 'name': 'النمسا' },
    'ne': { 'prefix': '227', 'name': 'النيجر' },
    'in': { 'prefix': '91', 'name': 'الهند' },
    'us': { 'prefix': '1', 'name': 'الولايات المتحدة الأمريكية' },
    'jp': { 'prefix': '81', 'name': 'اليابان' },
    'gr': { 'prefix': '30', 'name': 'اليونان' },
    'pg': { 'prefix': '675', 'name': 'بابوا غينيا الجديدة' },
    'py': { 'prefix': '595', 'name': 'باراغواي' },
    'pk': { 'prefix': '92', 'name': 'باكستان' },
    'pw': { 'prefix': '680', 'name': 'بالاو' },
    'bb': { 'prefix': '1-246', 'name': 'بربادوس' },
    'bn': { 'prefix': '673', 'name': 'بروناي' },
    'be': { 'prefix': '32', 'name': 'بلجيكا' },
    'bg': { 'prefix': '359', 'name': 'بلغاريا' },
    'bz': { 'prefix': '501', 'name': 'بليز' },
    'pa': { 'prefix': '507', 'name': 'بناما' },
    'bd': { 'prefix': '880', 'name': 'بنغلاديش' },
    'bj': { 'prefix': '229', 'name': 'بنين' },
    'bt': { 'prefix': '975', 'name': 'بوتان' },
    'bw': { 'prefix': '267', 'name': 'بوتسوانا' },
    'bf': { 'prefix': '226', 'name': 'بوركينا فاسو' },
    'bi': { 'prefix': '257', 'name': 'بوروندي' },
    'pl': { 'prefix': '48', 'name': 'بولندا' },
    'bo': { 'prefix': '591', 'name': 'بوليفيا' },
    'pe': { 'prefix': '51', 'name': 'بيرو' },
    'th': { 'prefix': '66', 'name': 'تايلاند' },
    'tw': { 'prefix': '886', 'name': 'تايوان' },
    'tm': { 'prefix': '993', 'name': 'تركمانستان' },
    'td': { 'prefix': '235', 'name': 'تشاد' },
    'cl': { 'prefix': '56', 'name': 'تشيلي' },
    'tz': { 'prefix': '255', 'name': 'تنزانيا' },
    'tg': { 'prefix': '228', 'name': 'توغو' },
    'tv': { 'prefix': '688', 'name': 'توفالو' },
    'tn': { 'prefix': '216', 'name': 'تونس' },
    'to': { 'prefix': '676', 'name': 'تونغا' },
    'tl': { 'prefix': '670', 'name': 'تيمور الشرقية' },
    'bs': { 'prefix': '1-242', 'name': 'جزر البهاما' },
    'km': { 'prefix': '269', 'name': 'جزر القمر' },
    'mv': { 'prefix': '960', 'name': 'جزر المالديف' },
    'sb': { 'prefix': '677', 'name': 'جزر سليمان' },
    'mh': { 'prefix': '692', 'name': 'جزر مارشال' },
    'cf': { 'prefix': '236', 'name': 'جمهورية أفريقيا الوسطى' },
    'za': { 'prefix': '27', 'name': 'جنوب أفريقيا' },
    'ss': { 'prefix': '211', 'name': 'جنوب السودان' },
    'ge': { 'prefix': '995', 'name': 'جورجيا' },
    'dj': { 'prefix': '253', 'name': 'جيبوتي' },
    'rw': { 'prefix': '250', 'name': 'رواندا' },
    'ru': { 'prefix': '7', 'name': 'روسيا' },
    'by': { 'prefix': '375', 'name': 'روسيا البيضاء' },
    'ro': { 'prefix': '40', 'name': 'رومانيا' },
    'zm': { 'prefix': '260', 'name': 'زامبيا' },
    'zw': { 'prefix': '263', 'name': 'زيمبابوي' },
    'ws': { 'prefix': '685', 'name': 'ساموا' },
    'sm': { 'prefix': '378', 'name': 'سان مارينو' },
    'st': { 'prefix': '239', 'name': 'ساو تومي وبرينسيبي' },
    'lk': { 'prefix': '94', 'name': 'سري لانكا' },
    'sk': { 'prefix': '421', 'name': 'سلوفاكيا' },
    'si': { 'prefix': '386', 'name': 'سلوفينيا' },
    'sg': { 'prefix': '65', 'name': 'سنغافورة' },
    'sz': { 'prefix': '268', 'name': 'سوازيلاند' },
    'sd': { 'prefix': '249', 'name': 'سودان' },
    'sy': { 'prefix': '963', 'name': 'سوريا' },
    'sr': { 'prefix': '597', 'name': 'سورينام' },
    'ch': { 'prefix': '41', 'name': 'سويسرا' },
    'sl': { 'prefix': '232', 'name': 'سيراليون' },
    'sc': { 'prefix': '248', 'name': 'سيشيل' },
    'rs': { 'prefix': '381', 'name': 'صربيا' },
    'tj': { 'prefix': '992', 'name': 'طاجيكستان' },
    'gm': { 'prefix': '220', 'name': 'غامبيا' },
    'gh': { 'prefix': '233', 'name': 'غانا' },
    'gt': { 'prefix': '502', 'name': 'غواتيمالا' },
    'gy': { 'prefix': '592', 'name': 'غيانا' },
    'gn': { 'prefix': '224', 'name': 'غينيا' },
    'gq': { 'prefix': '240', 'name': 'غينيا الاستوائية' },
    'gw': { 'prefix': '245', 'name': 'غينيا بيساو' },
    'vu': { 'prefix': '678', 'name': 'فانواتو' },
    'fr': { 'prefix': '33', 'name': 'فرنسا' },
    'ps': { 'prefix': '970', 'name': 'فلسطين' },
    've': { 'prefix': '58', 'name': 'فنزويلا' },
    'fi': { 'prefix': '358', 'name': 'فنلندا' },
    'vn': { 'prefix': '84', 'name': 'فيتنام' },
    'fj': { 'prefix': '679', 'name': 'فيجي' },
    'cy': { 'prefix': '357', 'name': 'قبرص' },
    'kg': { 'prefix': '996', 'name': 'قيرغيزستان' },
    'kz': { 'prefix': '7', 'name': 'كازاخستان' },
    'hr': { 'prefix': '385', 'name': 'كرواتيا' },
    'kh': { 'prefix': '855', 'name': 'كمبوديا' },
    'ca': { 'prefix': '1', 'name': 'كندا' },
    'cu': { 'prefix': '53', 'name': 'كوبا' },
    'ci': { 'prefix': '225', 'name': 'كوت ديفوار' },
    'kr': { 'prefix': '82', 'name': 'كوريا الجنوبية' },
    'kp': { 'prefix': '850', 'name': 'كوريا الشمالية' },
    'cr': { 'prefix': '506', 'name': 'كوستاريكا' },
    'xk': { 'prefix': '383', 'name': 'كوسوفو' },
    'co': { 'prefix': '57', 'name': 'كولومبيا' },
    'ki': { 'prefix': '686', 'name': 'كيريباس' },
    'ke': { 'prefix': '254', 'name': 'كينيا' },
    'lv': { 'prefix': '371', 'name': 'لاتفيا' },
    'la': { 'prefix': '856', 'name': 'لاوس' },
    'lb': { 'prefix': '961', 'name': 'لبنان' },
    'lu': { 'prefix': '352', 'name': 'لوكسمبورغ' },
    'ly': { 'prefix': '218', 'name': 'ليبيا' },
    'lr': { 'prefix': '231', 'name': 'ليبيريا' },
    'lt': { 'prefix': '370', 'name': 'ليتوانيا' },
    'li': { 'prefix': '423', 'name': 'ليختنشتاين' },
    'ls': { 'prefix': '266', 'name': 'ليسوتو' },
    'mt': { 'prefix': '356', 'name': 'مالطا' },
    'ml': { 'prefix': '223', 'name': 'مالي' },
    'my': { 'prefix': '60', 'name': 'ماليزيا' },
    'mg': { 'prefix': '261', 'name': 'مدغشقر' },
    'mk': { 'prefix': '389', 'name': 'مقدونيا' },
    'mw': { 'prefix': '265', 'name': 'ملاوي' },
    'mn': { 'prefix': '976', 'name': 'منغوليا' },
    'mr': { 'prefix': '222', 'name': 'موريتانيا' },
    'mu': { 'prefix': '230', 'name': 'موريشيوس' },
    'mz': { 'prefix': '258', 'name': 'موزمبيق' },
    'md': { 'prefix': '373', 'name': 'مولدوفا' },
    'mc': { 'prefix': '377', 'name': 'موناكو' },
    'mm': { 'prefix': '95', 'name': 'ميانمار' },
    'fm': { 'prefix': '691', 'name': 'ميكرونيزيا (ولايات)' },
    'na': { 'prefix': '264', 'name': 'ناميبيا' },
    'nr': { 'prefix': '674', 'name': 'ناورو' },
    'np': { 'prefix': '977', 'name': 'نيبال' },
    'ng': { 'prefix': '234', 'name': 'نيجيريا' },
    'ni': { 'prefix': '505', 'name': 'نيكاراغوا' },
    'nz': { 'prefix': '64', 'name': 'نيوزيلندا' },
    'ht': { 'prefix': '509', 'name': 'هايتي' },
    'hn': { 'prefix': '504', 'name': 'هندوراس' },
    'hu': { 'prefix': '36', 'name': 'هنغاريا' },
    'nl': { 'prefix': '31', 'name': 'هولندا' }
};

let SearchResultAds = {
    'search_ads_enabled': 1,
    'search_ad_position': '3,6,12,18'
};

export const streetsFacingArr: any = ["North", "North East", "East", "South East", "South", "South West", "West", "North West"];